#define TWOCHANNELS TWOCHANNELSPLACEHOLDER

varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main()
{
    highp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate);
    highp float color = (textureColor.x * 255. + textureColor.y) * 2.;
    highp float color2 = (textureColor2.x * 255. + textureColor2.y) * 2.;
    highp float result = (color BINARYOP color2) / 2.;

    
    #if TWOCHANNELS == 1
    color = (textureColor.z * 255. + textureColor.w) * 2.;
    color2 = (textureColor2.z * 255. + textureColor2.w) * 2.;
    highp float result2 = (color BINARYOP color2) / 2.;
    #endif

    gl_FragColor.x = floor(result) / 255.;
    gl_FragColor.y = fract(result);
    #if TWOCHANNELS == 1
    gl_FragColor.z = floor(result2) / 255.;
    gl_FragColor.w = fract(result2);
    #endif
}