varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform highp float gain;
uniform highp float gamma;

void main()
{
    highp float yp = gain*texture2D(inputImageTexture, textureCoordinate).x;
    highp float y = pow(yp, gamma);
    highp vec2 uvColor = texture2D(inputImageTexture2, textureCoordinate).xy;
    highp float u = uvColor.x;
    highp float v = uvColor.y;
    u=gain*(u-.5);
    v=gain*(v-.5);
    
    /* SDTV BT.601
    highp float r = y + 1.403*v;
    highp float g = y - 0.344*u - 0.714*v;
    highp float b = y + 1.773*u;
    */ 
    
    /* HDTV BT.709 */
    highp float r = y + 1.57481*v;
    highp float g = y - .18732*u - .46813*v;
    highp float b = y + 1.8556*u;

    
    gl_FragColor = vec4(r, g, b, 1.0);
}
