varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform highp float gain;
uniform highp float gamma;

void main()
{
    highp vec2 ypInt = texture2D(inputImageTexture, textureCoordinate).xy;
    highp float yp = gain*(ypInt.x * 255. + ypInt.y);
    highp float y = pow(yp, gamma);
    highp vec4 uvInt = texture2D(inputImageTexture2, textureCoordinate);
    highp float u = uvInt.x * 255. + uvInt.y;
    highp float v = uvInt.z * 255. + uvInt.w;
    u=gain*(u-64.);
    v=gain*(v-64.);
    
    /* HDTV BT.709 */
    highp float r = y + 1.57481*v;
    highp float g = y - .18732*u - .46813*v;
    highp float b = y + 1.8556*u;
    
    gl_FragColor = vec4(r / 128., g / 128., b / 128., 1.0);
}
